List available tools
curl --request GET \
--url https://api.getmodus.com/api/v1/tools \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getmodus.com/api/v1/tools"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmodus.com/api/v1/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tools": [
{
"id": "sql_runner",
"displayName": "SQL Runner",
"requiresConnection": false,
"category": "data",
"actions": [
{
"name": "list_dags",
"displayName": "List DAGs",
"description": "List the selected DAGs with their schedule, owners, tags, and paused state."
}
]
}
],
"nextPageToken": null
}{
"error": {
"code": "BAD_REQUEST",
"status": "INVALID_ARGUMENT",
"message": "Invalid value for query parameter `pageSize`.",
"requestId": "req_01HQ7K8ABCDEFGHIJKLMNOPQRS"
}
}{
"error": {
"code": "UNAUTHORIZED",
"status": "UNAUTHENTICATED",
"message": "Missing or invalid access token.",
"requestId": "req_01HQ7K8ABCDEFGHIJKLMNOPQRS"
}
}{
"error": {
"code": "FORBIDDEN",
"status": "PERMISSION_DENIED",
"message": "Missing required scope(s) for this operation.",
"requestId": "req_01HQ7K8ABCDEFGHIJKLMNOPQRS",
"info": {
"missing": [
"<required-scope>"
]
}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"status": "INTERNAL",
"message": "An unexpected error occurred.",
"requestId": "req_01HQ7K8ABCDEFGHIJKLMNOPQRS"
}
}Tools
List available tools
Returns a page of known tool/integration surfaces a scope can select in its toolset, with the fixed actions for built-in tools.
Requires: scopes:read
GET
/
api
/
v1
/
tools
List available tools
Authorizations
A Modus personal access token (modus_<orgUuid>_<prefix>_<secret>) or an OAuth 2.1 access token, sent as Authorization: Bearer <token>.
Query Parameters
Opaque page token from a previous response's nextPageToken. Omit for the first page.
Max items per page. Defaults to 25, clamped to 100.
Required range:
1 <= x <= 100Example:
25
⌘I